Page MenuHomePhabricator

Create read-only user for civicrm devdb on staging
Closed, ResolvedPublic

Description

@Jgreen @cwdent I see there is an extension for us to test the read only db thing on now

https://github.com/totten/mysql-rpow/tree/master-civi

I guess we'll need a staging user with only readonly permissions to start to give it a go

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 1 2019, 8:01 PM

@Eileenmcnaughton sure, looking at the grants, would that be just select on dev_*?

Eileenmcnaughton added a comment.EditedJan 3 2019, 9:06 PM

@cwdent yep - not sure about drupal db - assume we'll still use the normal drupal user on that side

XenoRyet moved this task from Triage to FR-Ops on the Fundraising-Backlog board.Jan 7 2019, 8:38 PM

I am going to a sprint in June where Tim (civi core team who wrote this) will be there - would be good to get this done in May so I can poke around & discuss any issues with him

Jgreen claimed this task.Jun 27 2019, 5:42 PM
Jgreen triaged this task as Normal priority.

I created user dev_civicrm_read with select & create temporary tables on the dev_civicrm database. I'm not sure where this will be configured, so ping me for the password.

@Jgreen I keep thinking about this at times when you are not around - can you put the password in a text file in my home dir on staging?

Jgreen closed this task as Resolved.Sep 20 2019, 4:13 PM
Jgreen moved this task from Backlog to Done on the fundraising-tech-ops board.

This is done, please reopen if there's any issue with the new mysql user.